summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-09-24 18:10:07 +0200
committerLars Wendler <polynomial-c@gentoo.org>2018-09-24 18:10:21 +0200
commit3901736a4824786d04b51e7686a4202212b59c36 (patch)
treeed76de2c2c8fc50c94feb84b6e60b7ba41c4fcf4
parentnet-libs/davix: version bump to 0.6.8 (diff)
downloadgentoo-3901736a4824786d04b51e7686a4202212b59c36.tar.gz
gentoo-3901736a4824786d04b51e7686a4202212b59c36.tar.bz2
gentoo-3901736a4824786d04b51e7686a4202212b59c36.zip
media-libs/opus: Bump to version 1.3_rc2
Package-Manager: Portage-2.3.49, Repoman-2.3.11
-rw-r--r--media-libs/opus/Manifest1
-rw-r--r--media-libs/opus/opus-1.3_rc2.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/media-libs/opus/Manifest b/media-libs/opus/Manifest
index d4852063c29..fbb05e55f9a 100644
--- a/media-libs/opus/Manifest
+++ b/media-libs/opus/Manifest
@@ -1 +1,2 @@
DIST opus-1.2.1.tar.gz 1011070 BLAKE2B eff3e20c22cd5370a6a3aabf90cfe6f950a3a8d33cbaed8e053ff637c3c45d1d007a10da2f7983564c0bfcc3768f79ffbc041489fc8835f1faaa2fb6c0ef3800 SHA512 4a98d0a7dbd1a313e89407576805fd733c1192e8ef7e1137e3260025478a1cf1c5a8b71b48c372a0cffe6340524137fe47f181651888284f8221fb4d673f7cd5
+DIST opus-1.3-rc2.tar.gz 1033559 BLAKE2B 8149d7c23bc7db3a13649fa275d701d2236f7cbf603286248f2447611cadecf34b533cf743efc68b6b52793b3db668eefea54cbdd7946dd9188955a9ae3f7489 SHA512 95a3cf0d9c92320ff4d01376d171077e16e06dc97e6668b705d91dbd16d5e83d1cb6fd3d0f6945cc2767189a0ecb219c8be9013669d61f578149158d3eec2817
diff --git a/media-libs/opus/opus-1.3_rc2.ebuild b/media-libs/opus/opus-1.3_rc2.ebuild
new file mode 100644
index 00000000000..d5a94342120
--- /dev/null
+++ b/media-libs/opus/opus-1.3_rc2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit multilib-minimal
+
+MY_P="${P/_/-}"
+
+if [[ ${PV} == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.xiph.org/opus.git"
+else
+ SRC_URI="https://archive.mozilla.org/pub/opus/${MY_P}.tar.gz"
+ if [[ "${PV}" != *_alpha* ]] && [[ "${PV}" != *_beta* ]] ; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd"
+ fi
+fi
+
+DESCRIPTION="Open codec designed for internet transmission of interactive speech and audio"
+HOMEPAGE="https://opus-codec.org/"
+
+LICENSE="BSD-2"
+SLOT="0"
+INTRINSIC_FLAGS="cpu_flags_x86_sse cpu_flags_arm_neon"
+IUSE="custom-modes doc static-libs ${INTRINSIC_FLAGS}"
+
+DEPEND="
+ doc? (
+ app-doc/doxygen
+ media-gfx/graphviz
+ )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(use_enable custom-modes)
+ $(use_enable doc)
+ $(use_enable static-libs static)
+ )
+ for i in ${INTRINSIC_FLAGS} ; do
+ use ${i} && myeconfargs+=( --enable-intrinsics )
+ done
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ default
+ find "${ED}" -name "*.la" -delete || die
+}